Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xjava.security
Class GeneralSecurityException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--xjava.security.GeneralSecurityException

Direct Known Subclasses:
  InvalidKeyFormatException, InvalidParameterTypeException, NoSuchParameterException

public class GeneralSecurityException
extends java.lang.Exception

This is the general security exception class, which serves to group all the exception classes of the `java.security` package that extend from it.

Exceptions (no pun intended) are `AccessControlException` and `CertificateException`, which subclass from `java.lang.SecurityException`, and `ProviderException` and `InvalidParameterException`, which subclass from `java.lang.RuntimeException`.

This class is documented in JavaSoft's preview APIs, for introduction in Java 1.2.

$Revision: 1.2 $

Since:
  IJCE 1.0.1
Author:
  David Hopwood
See Also:
  Serialized Form

Constructor Summary
`GeneralSecurityException()` Constructs a GeneralSecurityException without any detail message.
`GeneralSecurityException(java.lang.String msg)` Constructs a GeneralSecurityException with the specified detail message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GeneralSecurityException

    public GeneralSecurityException()

  Constructs a GeneralSecurityException without any detail message.

### GeneralSecurityException

    public GeneralSecurityException(java.lang.String msg)

  Constructs a GeneralSecurityException with the specified detail message. A detail message is a String that describes this particular exception.
  Parameters:
    `msg` - the detail message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 1995-2000 The Cryptix Foundation Ltd. All rights reserved.